Package com.pixelmed.convert

# Class TIFFImageFileDirectories

java.lang.Object
com.pixelmed.convert.TIFFImageFileDirectories

public class TIFFImageFileDirectories extends Object

A class encapsulating the content of one or more TIFF or BigTIFF Image File Directories (IFDs).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TIFFFile`
`f`
`protected ArrayList<TIFFImageFileDirectory>`
`ifdList`

## Constructor Summary

Constructors
Constructor
Description
`TIFFImageFileDirectories()`

## Method Summary

Modifier and Type
Method
Description
`TIFFFile`
`getFile()`
`ArrayList<TIFFImageFileDirectory>`
`getListOfImageFileDirectories()`
`static void`
`main(String[] arg)`
Read TIFF or BigTIFF input file and extract its Image File Directories.
`void`
`read(String filename)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### f

protected TIFFFile f

### ifdList

protected ArrayList<TIFFImageFileDirectory> ifdList

## Constructor Details

### TIFFImageFileDirectories

public TIFFImageFileDirectories()

## Method Details

### getFile

public TIFFFile getFile()

### getListOfImageFileDirectories

public ArrayList<TIFFImageFileDirectory> getListOfImageFileDirectories()

### read

public void read(String filename) throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Read TIFF or BigTIFF input file and extract its Image File Directories.

Output to stderr mimics libtiff tiffdump tool, except that long lists of values are not truncated with ellipsis.

Parameters:
  `arg` - the TIFF or BigTIFF file